Package org.apache.sysds.runtime.matrix.operators

# Class TernaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.TernaryOperator

All Implemented Interfaces:
  `Serializable`

public class TernaryOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final TernaryValueFunction`
`fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`TernaryOperator(TernaryValueFunction p, int numThreads)`

## Method Summary

Modifier and Type
Method
Description
`BinaryOperator`
`setOp2Constant(double cnt)`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### fn

public final TernaryValueFunction fn

## Constructor Details

### TernaryOperator

public TernaryOperator(TernaryValueFunction p, int numThreads)

## Method Details

### setOp2Constant

public BinaryOperator setOp2Constant(double cnt)

### toString

public String toString()

Overrides:
  `toString` in class `Object`